'' Automatically generated by math-torture.bas, 2018-04-16

#include "fbcunit.bi"

SUITE( fbc_tests.optimizations.math_torture_7 )

	TEST( test7 )
		#define t( x ) CU_ASSERT( x )
		dim as integer a = 1
		dim as integer b = 2
		t( (b * (-2 * (-1 * (-1 + a)))) = 0 )
		t( (-2 * (-2 * (-1 * (-1 + a)))) = 0 )
		t( (a * (-2 * (-1 * (-1 + b)))) = 2 )
		t( (-2 * (-2 * (-1 * (-1 + b)))) = -4 )
		t( (-2 * (((-1 * a) * b) + -2)) = 8 )
		t( (-2 * (-1 * (a * (b + -2)))) = 0 )
		t( (-1 * (((-1 * a) * b) + -2)) = 4 )
		t( (-1 * (-1 * (a * (b + -2)))) = 0 )
		t( (-2 * (((-1 * a) * b) + -1)) = 6 )
		t( (-2 * (-1 * (a * (b + -1)))) = 2 )
		t( (-2 * (((-1 * a) * -2) + b)) = -8 )
		t( (-2 * (-1 * (a * (-2 + b)))) = 0 )
		t( (-1 * (((-1 * a) * -2) + b)) = -4 )
		t( (-1 * (-1 * (a * (-2 + b)))) = 0 )
		t( (b * (((-1 * a) * -2) + -2)) = 0 )
		t( (-1 * (((-1 * a) * -2) + -2)) = 0 )
		t( (b * (((-1 * a) * -2) + -1)) = 2 )
		t( (-2 * (((-1 * a) * -2) + -1)) = -2 )
		t( (-2 * (((-1 * a) * -1) + b)) = -6 )
		t( (-2 * (-1 * (a * (-1 + b)))) = 2 )
		t( (b * (((-1 * a) * -1) + -2)) = -2 )
		t( (-2 * (((-1 * a) * -1) + -2)) = 2 )
		t( (-2 * (((-1 * b) * a) + -2)) = 8 )
		t( (-2 * (-1 * (b * (a + -2)))) = -4 )
		t( (-1 * (((-1 * b) * a) + -2)) = 4 )
		t( (-1 * (-1 * (b * (a + -2)))) = -2 )
		t( (-2 * (((-1 * b) * a) + -1)) = 6 )
		t( (-2 * (-1 * (b * (a + -1)))) = 0 )
		t( (-2 * (((-1 * b) * -2) + a)) = -10 )
		t( (-2 * (-1 * (b * (-2 + a)))) = -4 )
		t( (-1 * (((-1 * b) * -2) + a)) = -5 )
		t( (-1 * (-1 * (b * (-2 + a)))) = -2 )
		t( (a * (((-1 * b) * -2) + -2)) = 2 )
		t( (-1 * (((-1 * b) * -2) + -2)) = -2 )
		t( (a * (((-1 * b) * -2) + -1)) = 3 )
		t( (-2 * (((-1 * b) * -2) + -1)) = -6 )
		t( (-2 * (((-1 * b) * -1) + a)) = -6 )
		t( (-2 * (-1 * (b * (-1 + a)))) = 0 )
		t( (a * (((-1 * b) * -1) + -2)) = 0 )
		t( (-2 * (((-1 * b) * -1) + -2)) = 0 )
		t( (b * (-1 * (-2 * (a + -2)))) = -4 )
		t( (-1 * (-1 * (-2 * (a + -2)))) = 2 )
		t( (b * (-1 * (-2 * (a + -1)))) = 0 )
		t( (-2 * (-1 * (-2 * (a + -1)))) = 0 )
		t( (a * (-1 * (-2 * (b + -2)))) = 0 )
		t( (-1 * (-1 * (-2 * (b + -2)))) = 0 )
		t( (a * (-1 * (-2 * (b + -1)))) = 2 )
		t( (-2 * (-1 * (-2 * (b + -1)))) = -4 )
		t( (b * (-1 * (-2 * (-2 + a)))) = -4 )
		t( (-1 * (-1 * (-2 * (-2 + a)))) = 2 )
		t( (a * (-1 * (-2 * (-2 + b)))) = 0 )
		t( (-1 * (-1 * (-2 * (-2 + b)))) = 0 )
		t( (b * (-1 * (-2 * (-1 + a)))) = 0 )
		t( (-2 * (-1 * (-2 * (-1 + a)))) = 0 )
		t( (a * (-1 * (-2 * (-1 + b)))) = 2 )
		t( (-2 * (-1 * (-2 * (-1 + b)))) = -4 )
		t( (b * (-1 * (-1 * (a + -2)))) = -2 )
		t( (-2 * (-1 * (-1 * (a + -2)))) = 2 )
		t( (a * (-1 * (-1 * (b + -2)))) = 0 )
		t( (-2 * (-1 * (-1 * (b + -2)))) = 0 )
		t( (b * (-1 * (-1 * (-2 + a)))) = -2 )
		t( (-2 * (-1 * (-1 * (-2 + a)))) = 2 )
		t( (a * (-1 * (-1 * (-2 + b)))) = 0 )
		t( (-2 * (-1 * (-1 * (-2 + b)))) = 0 )
		t( (-1 + (((a * -2) * b) - -2)) = -3 )
		t( (-1 + (a * (-2 * (b - -2)))) = -9 )
		t( (-2 + (((a * -2) * b) - -1)) = -5 )
		t( (-2 + (a * (-2 * (b - -1)))) = -8 )
		t( (-1 + (((a * -2) * b) - -1)) = -4 )
		t( (-1 + (a * (-2 * (b - -1)))) = -7 )
		t( (-1 + (((a * -2) * -2) - b)) = 1 )
		t( (-1 + (a * (-2 * (-2 - b)))) = 7 )
		t( (b + (((a * -2) * -2) - -1)) = 7 )
		t( (-1 + (((a * -2) * -2) - -1)) = 4 )
		t( (-2 + (((a * -2) * -1) - b)) = -2 )
		t( (-2 + (a * (-2 * (-1 - b)))) = 4 )
		t( (-1 + (((a * -2) * -1) - b)) = -1 )
		t( (-1 + (a * (-2 * (-1 - b)))) = 5 )
		t( (b + (((a * -2) * -1) - -2)) = 6 )
		t( (-1 + (((a * -2) * -1) - -2)) = 3 )
		t( (b + (((a * -2) * -1) - -1)) = 5 )
		t( (-2 + (((a * -2) * -1) - -1)) = 1 )
		t( (-2 + (((a * -1) * b) - -2)) = -2 )
		t( (-2 + (a * (-1 * (b - -2)))) = -6 )
		t( (-1 + (((a * -1) * b) - -2)) = -1 )
		t( (-1 + (a * (-1 * (b - -2)))) = -5 )
		t( (-2 + (((a * -1) * b) - -1)) = -3 )
		t( (-2 + (a * (-1 * (b - -1)))) = -5 )
		t( (-2 + (((a * -1) * -2) - b)) = -2 )
		t( (-2 + (a * (-1 * (-2 - b)))) = 2 )
		t( (-1 + (((a * -1) * -2) - b)) = -1 )
		t( (-1 + (a * (-1 * (-2 - b)))) = 3 )
		t( (b + (((a * -1) * -2) - -2)) = 6 )
		t( (-1 + (((a * -1) * -2) - -2)) = 3 )
		t( (b + (((a * -1) * -2) - -1)) = 5 )
		t( (-2 + (((a * -1) * -2) - -1)) = 1 )
		t( (-2 + (((a * -1) * -1) - b)) = -3 )
		t( (-2 + (a * (-1 * (-1 - b)))) = 1 )
		t( (b + (((a * -1) * -1) - -2)) = 5 )
		t( (-2 + (((a * -1) * -1) - -2)) = 1 )
		t( (-1 + (((b * -2) * a) - -2)) = -3 )
		t( (-1 + (b * (-2 * (a - -2)))) = -13 )
		t( (-2 + (((b * -2) * a) - -1)) = -5 )
		t( (-2 + (b * (-2 * (a - -1)))) = -10 )
		t( (-1 + (((b * -2) * a) - -1)) = -4 )
		t( (-1 + (b * (-2 * (a - -1)))) = -9 )
		t( (-1 + (((b * -2) * -2) - a)) = 6 )
		t( (-1 + (b * (-2 * (-2 - a)))) = 11 )
		t( (a + (((b * -2) * -2) - -1)) = 10 )
		t( (-1 + (((b * -2) * -2) - -1)) = 8 )
		t( (-2 + (((b * -2) * -1) - a)) = 1 )
		t( (-2 + (b * (-2 * (-1 - a)))) = 6 )
		t( (-1 + (((b * -2) * -1) - a)) = 2 )
		t( (-1 + (b * (-2 * (-1 - a)))) = 7 )
		t( (a + (((b * -2) * -1) - -2)) = 7 )
		t( (-1 + (((b * -2) * -1) - -2)) = 5 )
		t( (a + (((b * -2) * -1) - -1)) = 6 )
		t( (-2 + (((b * -2) * -1) - -1)) = 3 )
		t( (-2 + (((b * -1) * a) - -2)) = -2 )
		t( (-2 + (b * (-1 * (a - -2)))) = -8 )
		t( (-1 + (((b * -1) * a) - -2)) = -1 )
		t( (-1 + (b * (-1 * (a - -2)))) = -7 )
		t( (-2 + (((b * -1) * a) - -1)) = -3 )
		t( (-2 + (b * (-1 * (a - -1)))) = -6 )
		t( (-2 + (((b * -1) * -2) - a)) = 1 )
		t( (-2 + (b * (-1 * (-2 - a)))) = 4 )
		t( (-1 + (((b * -1) * -2) - a)) = 2 )
		t( (-1 + (b * (-1 * (-2 - a)))) = 5 )
		t( (a + (((b * -1) * -2) - -2)) = 7 )
		t( (-1 + (((b * -1) * -2) - -2)) = 5 )
		t( (a + (((b * -1) * -2) - -1)) = 6 )
		t( (-2 + (((b * -1) * -2) - -1)) = 3 )
		t( (-2 + (((b * -1) * -1) - a)) = -1 )
		t( (-2 + (b * (-1 * (-1 - a)))) = 2 )
		t( (a + (((b * -1) * -1) - -2)) = 5 )
		t( (-2 + (((b * -1) * -1) - -2)) = 2 )
		t( (-1 + (((-2 * a) * b) - -2)) = -3 )
		t( (-1 + (-2 * (a * (b - -2)))) = -9 )
		t( (-2 + (((-2 * a) * b) - -1)) = -5 )
		t( (-2 + (-2 * (a * (b - -1)))) = -8 )
		t( (-1 + (((-2 * a) * b) - -1)) = -4 )
		t( (-1 + (-2 * (a * (b - -1)))) = -7 )
		t( (-1 + (((-2 * a) * -2) - b)) = 1 )
		t( (-1 + (-2 * (a * (-2 - b)))) = 7 )
		t( (b + (((-2 * a) * -2) - -1)) = 7 )
		t( (-1 + (((-2 * a) * -2) - -1)) = 4 )
		t( (-2 + (((-2 * a) * -1) - b)) = -2 )
		t( (-2 + (-2 * (a * (-1 - b)))) = 4 )
		t( (-1 + (((-2 * a) * -1) - b)) = -1 )
		t( (-1 + (-2 * (a * (-1 - b)))) = 5 )
		t( (b + (((-2 * a) * -1) - -2)) = 6 )
		t( (-1 + (((-2 * a) * -1) - -2)) = 3 )
		t( (b + (((-2 * a) * -1) - -1)) = 5 )
		t( (-2 + (((-2 * a) * -1) - -1)) = 1 )
		t( (-1 + (((-2 * b) * a) - -2)) = -3 )
		t( (-1 + (-2 * (b * (a - -2)))) = -13 )
		t( (-2 + (((-2 * b) * a) - -1)) = -5 )
		t( (-2 + (-2 * (b * (a - -1)))) = -10 )
		t( (-1 + (((-2 * b) * a) - -1)) = -4 )
		t( (-1 + (-2 * (b * (a - -1)))) = -9 )
		t( (-1 + (((-2 * b) * -2) - a)) = 6 )
		t( (-1 + (-2 * (b * (-2 - a)))) = 11 )
		t( (a + (((-2 * b) * -2) - -1)) = 10 )
		t( (-1 + (((-2 * b) * -2) - -1)) = 8 )
		t( (-2 + (((-2 * b) * -1) - a)) = 1 )
		t( (-2 + (-2 * (b * (-1 - a)))) = 6 )
		t( (-1 + (((-2 * b) * -1) - a)) = 2 )
		t( (-1 + (-2 * (b * (-1 - a)))) = 7 )
		t( (a + (((-2 * b) * -1) - -2)) = 7 )
		t( (-1 + (((-2 * b) * -1) - -2)) = 5 )
		t( (a + (((-2 * b) * -1) - -1)) = 6 )
		t( (-2 + (((-2 * b) * -1) - -1)) = 3 )
		t( (b + (-2 * (-2 * (a - -1)))) = 10 )
		t( (-1 + (-2 * (-2 * (a - -1)))) = 7 )
		t( (a + (-2 * (-2 * (b - -1)))) = 13 )
		t( (-1 + (-2 * (-2 * (b - -1)))) = 11 )
		t( (b + (-2 * (-2 * (-1 - a)))) = -6 )
		t( (-1 + (-2 * (-2 * (-1 - a)))) = -9 )
		t( (a + (-2 * (-2 * (-1 - b)))) = -11 )
		t( (-1 + (-2 * (-2 * (-1 - b)))) = -13 )
		t( (b + (-2 * (-1 * (a - -2)))) = 8 )
		t( (-1 + (-2 * (-1 * (a - -2)))) = 5 )
		t( (b + (-2 * (-1 * (a - -1)))) = 6 )
		t( (-2 + (-2 * (-1 * (a - -1)))) = 2 )
		t( (a + (-2 * (-1 * (b - -2)))) = 9 )
		t( (-1 + (-2 * (-1 * (b - -2)))) = 7 )
		t( (a + (-2 * (-1 * (b - -1)))) = 7 )
		t( (-2 + (-2 * (-1 * (b - -1)))) = 4 )
		t( (b + (-2 * (-1 * (-2 - a)))) = -4 )
		t( (-1 + (-2 * (-1 * (-2 - a)))) = -7 )
		t( (a + (-2 * (-1 * (-2 - b)))) = -7 )
		t( (-1 + (-2 * (-1 * (-2 - b)))) = -9 )
		t( (b + (-2 * (-1 * (-1 - a)))) = -2 )
		t( (-2 + (-2 * (-1 * (-1 - a)))) = -6 )
		t( (a + (-2 * (-1 * (-1 - b)))) = -5 )
		t( (-2 + (-2 * (-1 * (-1 - b)))) = -8 )
		t( (-2 + (((-1 * a) * b) - -2)) = -2 )
		t( (-2 + (-1 * (a * (b - -2)))) = -6 )
		t( (-1 + (((-1 * a) * b) - -2)) = -1 )
		t( (-1 + (-1 * (a * (b - -2)))) = -5 )
		t( (-2 + (((-1 * a) * b) - -1)) = -3 )
		t( (-2 + (-1 * (a * (b - -1)))) = -5 )
		t( (-2 + (((-1 * a) * -2) - b)) = -2 )
		t( (-2 + (-1 * (a * (-2 - b)))) = 2 )
		t( (-1 + (((-1 * a) * -2) - b)) = -1 )
		t( (-1 + (-1 * (a * (-2 - b)))) = 3 )
		t( (b + (((-1 * a) * -2) - -2)) = 6 )
		t( (-1 + (((-1 * a) * -2) - -2)) = 3 )
		t( (b + (((-1 * a) * -2) - -1)) = 5 )
		t( (-2 + (((-1 * a) * -2) - -1)) = 1 )
		t( (-2 + (((-1 * a) * -1) - b)) = -3 )
		t( (-2 + (-1 * (a * (-1 - b)))) = 1 )
		t( (b + (((-1 * a) * -1) - -2)) = 5 )
		t( (-2 + (((-1 * a) * -1) - -2)) = 1 )
		t( (-2 + (((-1 * b) * a) - -2)) = -2 )
		t( (-2 + (-1 * (b * (a - -2)))) = -8 )
		t( (-1 + (((-1 * b) * a) - -2)) = -1 )
		t( (-1 + (-1 * (b * (a - -2)))) = -7 )
		t( (-2 + (((-1 * b) * a) - -1)) = -3 )
		t( (-2 + (-1 * (b * (a - -1)))) = -6 )
		t( (-2 + (((-1 * b) * -2) - a)) = 1 )
		t( (-2 + (-1 * (b * (-2 - a)))) = 4 )
		t( (-1 + (((-1 * b) * -2) - a)) = 2 )
		t( (-1 + (-1 * (b * (-2 - a)))) = 5 )
		t( (a + (((-1 * b) * -2) - -2)) = 7 )
		t( (-1 + (((-1 * b) * -2) - -2)) = 5 )
		t( (a + (((-1 * b) * -2) - -1)) = 6 )
		t( (-2 + (((-1 * b) * -2) - -1)) = 3 )
		t( (-2 + (((-1 * b) * -1) - a)) = -1 )
		t( (-2 + (-1 * (b * (-1 - a)))) = 2 )
		t( (a + (((-1 * b) * -1) - -2)) = 5 )
		t( (-2 + (((-1 * b) * -1) - -2)) = 2 )
		t( (b + (-1 * (-2 * (a - -2)))) = 8 )
		t( (-1 + (-1 * (-2 * (a - -2)))) = 5 )
		t( (b + (-1 * (-2 * (a - -1)))) = 6 )
		t( (-2 + (-1 * (-2 * (a - -1)))) = 2 )
		t( (a + (-1 * (-2 * (b - -2)))) = 9 )
		t( (-1 + (-1 * (-2 * (b - -2)))) = 7 )
		t( (a + (-1 * (-2 * (b - -1)))) = 7 )
		t( (-2 + (-1 * (-2 * (b - -1)))) = 4 )
		t( (b + (-1 * (-2 * (-2 - a)))) = -4 )
		t( (-1 + (-1 * (-2 * (-2 - a)))) = -7 )
		t( (a + (-1 * (-2 * (-2 - b)))) = -7 )
		t( (-1 + (-1 * (-2 * (-2 - b)))) = -9 )
		t( (b + (-1 * (-2 * (-1 - a)))) = -2 )
		t( (-2 + (-1 * (-2 * (-1 - a)))) = -6 )
		t( (a + (-1 * (-2 * (-1 - b)))) = -5 )
		t( (-2 + (-1 * (-2 * (-1 - b)))) = -8 )
		t( (b + (-1 * (-1 * (a - -2)))) = 5 )
		t( (-2 + (-1 * (-1 * (a - -2)))) = 1 )
		t( (a + (-1 * (-1 * (b - -2)))) = 5 )
		t( (-2 + (-1 * (-1 * (b - -2)))) = 2 )
		t( (b + (-1 * (-1 * (-2 - a)))) = -1 )
		t( (-2 + (-1 * (-1 * (-2 - a)))) = -5 )
		t( (a + (-1 * (-1 * (-2 - b)))) = -3 )
		t( (-2 + (-1 * (-1 * (-2 - b)))) = -6 )
		t( (-1 - (((a * -2) * b) - -2)) = 1 )
		t( (-1 - (a * (-2 * (b - -2)))) = 7 )
		t( (-2 - (((a * -2) * b) - -1)) = 1 )
		t( (-2 - (a * (-2 * (b - -1)))) = 4 )
		t( (-1 - (((a * -2) * b) - -1)) = 2 )
		t( (-1 - (a * (-2 * (b - -1)))) = 5 )
		t( (-1 - (((a * -2) * -2) - b)) = -3 )
		t( (-1 - (a * (-2 * (-2 - b)))) = -9 )
		t( (b - (((a * -2) * -2) - -1)) = -3 )
		t( (-1 - (((a * -2) * -2) - -1)) = -6 )
		t( (-2 - (((a * -2) * -1) - b)) = -2 )
		t( (-2 - (a * (-2 * (-1 - b)))) = -8 )
		t( (-1 - (((a * -2) * -1) - b)) = -1 )
		t( (-1 - (a * (-2 * (-1 - b)))) = -7 )
		t( (b - (((a * -2) * -1) - -2)) = -2 )
		t( (-1 - (((a * -2) * -1) - -2)) = -5 )
		t( (b - (((a * -2) * -1) - -1)) = -1 )
		t( (-2 - (((a * -2) * -1) - -1)) = -5 )
		t( (-2 - (((a * -1) * b) - -2)) = -2 )
		t( (-2 - (a * (-1 * (b - -2)))) = 2 )
		t( (-1 - (((a * -1) * b) - -2)) = -1 )
		t( (-1 - (a * (-1 * (b - -2)))) = 3 )
		t( (-2 - (((a * -1) * b) - -1)) = -1 )
		t( (-2 - (a * (-1 * (b - -1)))) = 1 )
		t( (-2 - (((a * -1) * -2) - b)) = -2 )
		t( (-2 - (a * (-1 * (-2 - b)))) = -6 )
		t( (-1 - (((a * -1) * -2) - b)) = -1 )
		t( (-1 - (a * (-1 * (-2 - b)))) = -5 )
		t( (b - (((a * -1) * -2) - -2)) = -2 )
		t( (-1 - (((a * -1) * -2) - -2)) = -5 )
		t( (b - (((a * -1) * -2) - -1)) = -1 )
		t( (-2 - (((a * -1) * -2) - -1)) = -5 )
		t( (-2 - (((a * -1) * -1) - b)) = -1 )
		t( (-2 - (a * (-1 * (-1 - b)))) = -5 )
		t( (b - (((a * -1) * -1) - -2)) = -1 )
		t( (-2 - (((a * -1) * -1) - -2)) = -5 )
		t( (-1 - (((b * -2) * a) - -2)) = 1 )
		t( (-1 - (b * (-2 * (a - -2)))) = 11 )
		t( (-2 - (((b * -2) * a) - -1)) = 1 )
		t( (-2 - (b * (-2 * (a - -1)))) = 6 )
		t( (-1 - (((b * -2) * a) - -1)) = 2 )
		t( (-1 - (b * (-2 * (a - -1)))) = 7 )
		t( (-1 - (((b * -2) * -2) - a)) = -8 )
		t( (-1 - (b * (-2 * (-2 - a)))) = -13 )
		t( (a - (((b * -2) * -2) - -1)) = -8 )
		t( (-1 - (((b * -2) * -2) - -1)) = -10 )
		t( (-2 - (((b * -2) * -1) - a)) = -5 )
		t( (-2 - (b * (-2 * (-1 - a)))) = -10 )
		t( (-1 - (((b * -2) * -1) - a)) = -4 )
		t( (-1 - (b * (-2 * (-1 - a)))) = -9 )
		t( (a - (((b * -2) * -1) - -2)) = -5 )
		t( (-1 - (((b * -2) * -1) - -2)) = -7 )
		t( (a - (((b * -2) * -1) - -1)) = -4 )
		t( (-2 - (((b * -2) * -1) - -1)) = -7 )
		t( (-2 - (((b * -1) * a) - -2)) = -2 )
		t( (-2 - (b * (-1 * (a - -2)))) = 4 )
		t( (-1 - (((b * -1) * a) - -2)) = -1 )
		t( (-1 - (b * (-1 * (a - -2)))) = 5 )
		t( (-2 - (((b * -1) * a) - -1)) = -1 )
		t( (-2 - (b * (-1 * (a - -1)))) = 2 )
		t( (-2 - (((b * -1) * -2) - a)) = -5 )
		t( (-2 - (b * (-1 * (-2 - a)))) = -8 )
		t( (-1 - (((b * -1) * -2) - a)) = -4 )
		t( (-1 - (b * (-1 * (-2 - a)))) = -7 )
		t( (a - (((b * -1) * -2) - -2)) = -5 )
		t( (-1 - (((b * -1) * -2) - -2)) = -7 )
		t( (a - (((b * -1) * -2) - -1)) = -4 )
		t( (-2 - (((b * -1) * -2) - -1)) = -7 )
		t( (-2 - (((b * -1) * -1) - a)) = -3 )
		t( (-2 - (b * (-1 * (-1 - a)))) = -6 )
		t( (a - (((b * -1) * -1) - -2)) = -3 )
		t( (-2 - (((b * -1) * -1) - -2)) = -6 )
		t( (-1 - (((-2 * a) * b) - -2)) = 1 )
		t( (-1 - (-2 * (a * (b - -2)))) = 7 )
		t( (-2 - (((-2 * a) * b) - -1)) = 1 )
		t( (-2 - (-2 * (a * (b - -1)))) = 4 )
		t( (-1 - (((-2 * a) * b) - -1)) = 2 )
		t( (-1 - (-2 * (a * (b - -1)))) = 5 )
		t( (-1 - (((-2 * a) * -2) - b)) = -3 )
		t( (-1 - (-2 * (a * (-2 - b)))) = -9 )
		t( (b - (((-2 * a) * -2) - -1)) = -3 )
		t( (-1 - (((-2 * a) * -2) - -1)) = -6 )
		t( (-2 - (((-2 * a) * -1) - b)) = -2 )
		t( (-2 - (-2 * (a * (-1 - b)))) = -8 )
		t( (-1 - (((-2 * a) * -1) - b)) = -1 )
		t( (-1 - (-2 * (a * (-1 - b)))) = -7 )
		t( (b - (((-2 * a) * -1) - -2)) = -2 )
		t( (-1 - (((-2 * a) * -1) - -2)) = -5 )
		t( (b - (((-2 * a) * -1) - -1)) = -1 )
		t( (-2 - (((-2 * a) * -1) - -1)) = -5 )
		t( (-1 - (((-2 * b) * a) - -2)) = 1 )
		t( (-1 - (-2 * (b * (a - -2)))) = 11 )
		t( (-2 - (((-2 * b) * a) - -1)) = 1 )
		t( (-2 - (-2 * (b * (a - -1)))) = 6 )
		t( (-1 - (((-2 * b) * a) - -1)) = 2 )
		t( (-1 - (-2 * (b * (a - -1)))) = 7 )
		t( (-1 - (((-2 * b) * -2) - a)) = -8 )
		t( (-1 - (-2 * (b * (-2 - a)))) = -13 )
		t( (a - (((-2 * b) * -2) - -1)) = -8 )
		t( (-1 - (((-2 * b) * -2) - -1)) = -10 )
		t( (-2 - (((-2 * b) * -1) - a)) = -5 )
		t( (-2 - (-2 * (b * (-1 - a)))) = -10 )
		t( (-1 - (((-2 * b) * -1) - a)) = -4 )
		t( (-1 - (-2 * (b * (-1 - a)))) = -9 )
		t( (a - (((-2 * b) * -1) - -2)) = -5 )
		t( (-1 - (((-2 * b) * -1) - -2)) = -7 )
		t( (a - (((-2 * b) * -1) - -1)) = -4 )
		t( (-2 - (((-2 * b) * -1) - -1)) = -7 )
		t( (b - (-2 * (-2 * (a - -1)))) = -6 )
		t( (-1 - (-2 * (-2 * (a - -1)))) = -9 )
		t( (a - (-2 * (-2 * (b - -1)))) = -11 )
		t( (-1 - (-2 * (-2 * (b - -1)))) = -13 )
		t( (b - (-2 * (-2 * (-1 - a)))) = 10 )
		t( (-1 - (-2 * (-2 * (-1 - a)))) = 7 )
		t( (a - (-2 * (-2 * (-1 - b)))) = 13 )
		t( (-1 - (-2 * (-2 * (-1 - b)))) = 11 )
		t( (b - (-2 * (-1 * (a - -2)))) = -4 )
		t( (-1 - (-2 * (-1 * (a - -2)))) = -7 )
		t( (b - (-2 * (-1 * (a - -1)))) = -2 )
		t( (-2 - (-2 * (-1 * (a - -1)))) = -6 )
		t( (a - (-2 * (-1 * (b - -2)))) = -7 )
		t( (-1 - (-2 * (-1 * (b - -2)))) = -9 )
		t( (a - (-2 * (-1 * (b - -1)))) = -5 )
		t( (-2 - (-2 * (-1 * (b - -1)))) = -8 )
		t( (b - (-2 * (-1 * (-2 - a)))) = 8 )
		t( (-1 - (-2 * (-1 * (-2 - a)))) = 5 )
		t( (a - (-2 * (-1 * (-2 - b)))) = 9 )
		t( (-1 - (-2 * (-1 * (-2 - b)))) = 7 )
		t( (b - (-2 * (-1 * (-1 - a)))) = 6 )
		t( (-2 - (-2 * (-1 * (-1 - a)))) = 2 )
		t( (a - (-2 * (-1 * (-1 - b)))) = 7 )
		t( (-2 - (-2 * (-1 * (-1 - b)))) = 4 )
		t( (-2 - (((-1 * a) * b) - -2)) = -2 )
		t( (-2 - (-1 * (a * (b - -2)))) = 2 )
		t( (-1 - (((-1 * a) * b) - -2)) = -1 )
		t( (-1 - (-1 * (a * (b - -2)))) = 3 )
		t( (-2 - (((-1 * a) * b) - -1)) = -1 )
		t( (-2 - (-1 * (a * (b - -1)))) = 1 )
		t( (-2 - (((-1 * a) * -2) - b)) = -2 )
		t( (-2 - (-1 * (a * (-2 - b)))) = -6 )
		t( (-1 - (((-1 * a) * -2) - b)) = -1 )
		t( (-1 - (-1 * (a * (-2 - b)))) = -5 )
		t( (b - (((-1 * a) * -2) - -2)) = -2 )
		t( (-1 - (((-1 * a) * -2) - -2)) = -5 )
		t( (b - (((-1 * a) * -2) - -1)) = -1 )
		t( (-2 - (((-1 * a) * -2) - -1)) = -5 )
		t( (-2 - (((-1 * a) * -1) - b)) = -1 )
		t( (-2 - (-1 * (a * (-1 - b)))) = -5 )
		t( (b - (((-1 * a) * -1) - -2)) = -1 )
		t( (-2 - (((-1 * a) * -1) - -2)) = -5 )
		t( (-2 - (((-1 * b) * a) - -2)) = -2 )
		t( (-2 - (-1 * (b * (a - -2)))) = 4 )
		t( (-1 - (((-1 * b) * a) - -2)) = -1 )
		t( (-1 - (-1 * (b * (a - -2)))) = 5 )
		t( (-2 - (((-1 * b) * a) - -1)) = -1 )
		t( (-2 - (-1 * (b * (a - -1)))) = 2 )
		t( (-2 - (((-1 * b) * -2) - a)) = -5 )
		t( (-2 - (-1 * (b * (-2 - a)))) = -8 )
		t( (-1 - (((-1 * b) * -2) - a)) = -4 )
		t( (-1 - (-1 * (b * (-2 - a)))) = -7 )
		t( (a - (((-1 * b) * -2) - -2)) = -5 )
		t( (-1 - (((-1 * b) * -2) - -2)) = -7 )
		t( (a - (((-1 * b) * -2) - -1)) = -4 )
		t( (-2 - (((-1 * b) * -2) - -1)) = -7 )
		t( (-2 - (((-1 * b) * -1) - a)) = -3 )
		t( (-2 - (-1 * (b * (-1 - a)))) = -6 )
		t( (a - (((-1 * b) * -1) - -2)) = -3 )
		t( (-2 - (((-1 * b) * -1) - -2)) = -6 )
		t( (b - (-1 * (-2 * (a - -2)))) = -4 )
		t( (-1 - (-1 * (-2 * (a - -2)))) = -7 )
		t( (b - (-1 * (-2 * (a - -1)))) = -2 )
		t( (-2 - (-1 * (-2 * (a - -1)))) = -6 )
		t( (a - (-1 * (-2 * (b - -2)))) = -7 )
		t( (-1 - (-1 * (-2 * (b - -2)))) = -9 )
		t( (a - (-1 * (-2 * (b - -1)))) = -5 )
		t( (-2 - (-1 * (-2 * (b - -1)))) = -8 )
		t( (b - (-1 * (-2 * (-2 - a)))) = 8 )
		t( (-1 - (-1 * (-2 * (-2 - a)))) = 5 )
		t( (a - (-1 * (-2 * (-2 - b)))) = 9 )
		t( (-1 - (-1 * (-2 * (-2 - b)))) = 7 )
		t( (b - (-1 * (-2 * (-1 - a)))) = 6 )
		t( (-2 - (-1 * (-2 * (-1 - a)))) = 2 )
		t( (a - (-1 * (-2 * (-1 - b)))) = 7 )
		t( (-2 - (-1 * (-2 * (-1 - b)))) = 4 )
		t( (b - (-1 * (-1 * (a - -2)))) = -1 )
		t( (-2 - (-1 * (-1 * (a - -2)))) = -5 )
		t( (a - (-1 * (-1 * (b - -2)))) = -3 )
		t( (-2 - (-1 * (-1 * (b - -2)))) = -6 )
		t( (b - (-1 * (-1 * (-2 - a)))) = 5 )
		t( (-2 - (-1 * (-1 * (-2 - a)))) = 1 )
		t( (a - (-1 * (-1 * (-2 - b)))) = 5 )
		t( (-2 - (-1 * (-1 * (-2 - b)))) = 2 )
		t( (-1 * (((a * -2) * b) - -2)) = 2 )
		t( (-1 * (a * (-2 * (b - -2)))) = 8 )
		t( (-2 * (((a * -2) * b) - -1)) = 6 )
		t( (-2 * (a * (-2 * (b - -1)))) = 12 )
		t( (-1 * (((a * -2) * b) - -1)) = 3 )
		t( (-1 * (a * (-2 * (b - -1)))) = 6 )
		t( (-1 * (((a * -2) * -2) - b)) = -2 )
		t( (-1 * (a * (-2 * (-2 - b)))) = -8 )
		t( (b * (((a * -2) * -2) - -1)) = 10 )
		t( (-1 * (((a * -2) * -2) - -1)) = -5 )
		t( (-2 * (((a * -2) * -1) - b)) = 0 )
		t( (-2 * (a * (-2 * (-1 - b)))) = -12 )
		t( (-1 * (((a * -2) * -1) - b)) = 0 )
		t( (-1 * (a * (-2 * (-1 - b)))) = -6 )
		t( (b * (((a * -2) * -1) - -2)) = 8 )
		t( (-1 * (((a * -2) * -1) - -2)) = -4 )
		t( (b * (((a * -2) * -1) - -1)) = 6 )
		t( (-2 * (((a * -2) * -1) - -1)) = -6 )
		t( (-2 * (((a * -1) * b) - -2)) = 0 )
		t( (-2 * (a * (-1 * (b - -2)))) = 8 )
		t( (-1 * (((a * -1) * b) - -2)) = 0 )
		t( (-1 * (a * (-1 * (b - -2)))) = 4 )
		t( (-2 * (((a * -1) * b) - -1)) = 2 )
		t( (-2 * (a * (-1 * (b - -1)))) = 6 )
		t( (-2 * (((a * -1) * -2) - b)) = 0 )
		t( (-2 * (a * (-1 * (-2 - b)))) = -8 )
		t( (-1 * (((a * -1) * -2) - b)) = 0 )
		t( (-1 * (a * (-1 * (-2 - b)))) = -4 )
		t( (b * (((a * -1) * -2) - -2)) = 8 )
		t( (-1 * (((a * -1) * -2) - -2)) = -4 )
		t( (b * (((a * -1) * -2) - -1)) = 6 )
		t( (-2 * (((a * -1) * -2) - -1)) = -6 )
		t( (-2 * (((a * -1) * -1) - b)) = 2 )
		t( (-2 * (a * (-1 * (-1 - b)))) = -6 )
		t( (b * (((a * -1) * -1) - -2)) = 6 )
		t( (-2 * (((a * -1) * -1) - -2)) = -6 )
		t( (-1 * (((b * -2) * a) - -2)) = 2 )
		t( (-1 * (b * (-2 * (a - -2)))) = 12 )
		t( (-2 * (((b * -2) * a) - -1)) = 6 )
		t( (-2 * (b * (-2 * (a - -1)))) = 16 )
		t( (-1 * (((b * -2) * a) - -1)) = 3 )
		t( (-1 * (b * (-2 * (a - -1)))) = 8 )
		t( (-1 * (((b * -2) * -2) - a)) = -7 )
		t( (-1 * (b * (-2 * (-2 - a)))) = -12 )
		t( (a * (((b * -2) * -2) - -1)) = 9 )
		t( (-1 * (((b * -2) * -2) - -1)) = -9 )
		t( (-2 * (((b * -2) * -1) - a)) = -6 )
		t( (-2 * (b * (-2 * (-1 - a)))) = -16 )
		t( (-1 * (((b * -2) * -1) - a)) = -3 )
		t( (-1 * (b * (-2 * (-1 - a)))) = -8 )
		t( (a * (((b * -2) * -1) - -2)) = 6 )
		t( (-1 * (((b * -2) * -1) - -2)) = -6 )
		t( (a * (((b * -2) * -1) - -1)) = 5 )
		t( (-2 * (((b * -2) * -1) - -1)) = -10 )
		t( (-2 * (((b * -1) * a) - -2)) = 0 )
		t( (-2 * (b * (-1 * (a - -2)))) = 12 )
		t( (-1 * (((b * -1) * a) - -2)) = 0 )
		t( (-1 * (b * (-1 * (a - -2)))) = 6 )
		t( (-2 * (((b * -1) * a) - -1)) = 2 )
		t( (-2 * (b * (-1 * (a - -1)))) = 8 )
		t( (-2 * (((b * -1) * -2) - a)) = -6 )
		t( (-2 * (b * (-1 * (-2 - a)))) = -12 )
		t( (-1 * (((b * -1) * -2) - a)) = -3 )
		t( (-1 * (b * (-1 * (-2 - a)))) = -6 )
		t( (a * (((b * -1) * -2) - -2)) = 6 )
		t( (-1 * (((b * -1) * -2) - -2)) = -6 )
		t( (a * (((b * -1) * -2) - -1)) = 5 )
		t( (-2 * (((b * -1) * -2) - -1)) = -10 )
		t( (-2 * (((b * -1) * -1) - a)) = -2 )
		t( (-2 * (b * (-1 * (-1 - a)))) = -8 )
		t( (a * (((b * -1) * -1) - -2)) = 4 )
		t( (-2 * (((b * -1) * -1) - -2)) = -8 )
		t( (-1 * (((-2 * a) * b) - -2)) = 2 )
		t( (-1 * (-2 * (a * (b - -2)))) = 8 )
		t( (-2 * (((-2 * a) * b) - -1)) = 6 )
		t( (-2 * (-2 * (a * (b - -1)))) = 12 )
		t( (-1 * (((-2 * a) * b) - -1)) = 3 )
		t( (-1 * (-2 * (a * (b - -1)))) = 6 )
		t( (-1 * (((-2 * a) * -2) - b)) = -2 )
		t( (-1 * (-2 * (a * (-2 - b)))) = -8 )
		t( (b * (((-2 * a) * -2) - -1)) = 10 )
		t( (-1 * (((-2 * a) * -2) - -1)) = -5 )
		t( (-2 * (((-2 * a) * -1) - b)) = 0 )
		t( (-2 * (-2 * (a * (-1 - b)))) = -12 )
		t( (-1 * (((-2 * a) * -1) - b)) = 0 )
		t( (-1 * (-2 * (a * (-1 - b)))) = -6 )
		t( (b * (((-2 * a) * -1) - -2)) = 8 )
		t( (-1 * (((-2 * a) * -1) - -2)) = -4 )
		t( (b * (((-2 * a) * -1) - -1)) = 6 )
		t( (-2 * (((-2 * a) * -1) - -1)) = -6 )
		t( (-1 * (((-2 * b) * a) - -2)) = 2 )
		t( (-1 * (-2 * (b * (a - -2)))) = 12 )
		t( (-2 * (((-2 * b) * a) - -1)) = 6 )
		t( (-2 * (-2 * (b * (a - -1)))) = 16 )
		t( (-1 * (((-2 * b) * a) - -1)) = 3 )
		t( (-1 * (-2 * (b * (a - -1)))) = 8 )
		t( (-1 * (((-2 * b) * -2) - a)) = -7 )
		t( (-1 * (-2 * (b * (-2 - a)))) = -12 )
		t( (a * (((-2 * b) * -2) - -1)) = 9 )
		t( (-1 * (((-2 * b) * -2) - -1)) = -9 )
		t( (-2 * (((-2 * b) * -1) - a)) = -6 )
		t( (-2 * (-2 * (b * (-1 - a)))) = -16 )
		t( (-1 * (((-2 * b) * -1) - a)) = -3 )
		t( (-1 * (-2 * (b * (-1 - a)))) = -8 )
		t( (a * (((-2 * b) * -1) - -2)) = 6 )
		t( (-1 * (((-2 * b) * -1) - -2)) = -6 )
		t( (a * (((-2 * b) * -1) - -1)) = 5 )
		t( (-2 * (((-2 * b) * -1) - -1)) = -10 )
		t( (b * (-2 * (-2 * (a - -1)))) = 16 )
		t( (-1 * (-2 * (-2 * (a - -1)))) = -8 )
		t( (a * (-2 * (-2 * (b - -1)))) = 12 )
		t( (-1 * (-2 * (-2 * (b - -1)))) = -12 )
		t( (b * (-2 * (-2 * (-1 - a)))) = -16 )
		t( (-1 * (-2 * (-2 * (-1 - a)))) = 8 )
		t( (a * (-2 * (-2 * (-1 - b)))) = -12 )
		t( (-1 * (-2 * (-2 * (-1 - b)))) = 12 )
		t( (b * (-2 * (-1 * (a - -2)))) = 12 )
		t( (-1 * (-2 * (-1 * (a - -2)))) = -6 )
		t( (b * (-2 * (-1 * (a - -1)))) = 8 )
		t( (-2 * (-2 * (-1 * (a - -1)))) = -8 )
		t( (a * (-2 * (-1 * (b - -2)))) = 8 )
		t( (-1 * (-2 * (-1 * (b - -2)))) = -8 )
		t( (a * (-2 * (-1 * (b - -1)))) = 6 )
		t( (-2 * (-2 * (-1 * (b - -1)))) = -12 )
		t( (b * (-2 * (-1 * (-2 - a)))) = -12 )
		t( (-1 * (-2 * (-1 * (-2 - a)))) = 6 )
		t( (a * (-2 * (-1 * (-2 - b)))) = -8 )
		t( (-1 * (-2 * (-1 * (-2 - b)))) = 8 )
		t( (b * (-2 * (-1 * (-1 - a)))) = -8 )
		t( (-2 * (-2 * (-1 * (-1 - a)))) = 8 )
		t( (a * (-2 * (-1 * (-1 - b)))) = -6 )
		t( (-2 * (-2 * (-1 * (-1 - b)))) = 12 )
		t( (-2 * (((-1 * a) * b) - -2)) = 0 )
		t( (-2 * (-1 * (a * (b - -2)))) = 8 )
		t( (-1 * (((-1 * a) * b) - -2)) = 0 )
		t( (-1 * (-1 * (a * (b - -2)))) = 4 )
		t( (-2 * (((-1 * a) * b) - -1)) = 2 )
		t( (-2 * (-1 * (a * (b - -1)))) = 6 )
		t( (-2 * (((-1 * a) * -2) - b)) = 0 )
		t( (-2 * (-1 * (a * (-2 - b)))) = -8 )
		t( (-1 * (((-1 * a) * -2) - b)) = 0 )
		t( (-1 * (-1 * (a * (-2 - b)))) = -4 )
		t( (b * (((-1 * a) * -2) - -2)) = 8 )
		t( (-1 * (((-1 * a) * -2) - -2)) = -4 )
		t( (b * (((-1 * a) * -2) - -1)) = 6 )
		t( (-2 * (((-1 * a) * -2) - -1)) = -6 )
		t( (-2 * (((-1 * a) * -1) - b)) = 2 )
		t( (-2 * (-1 * (a * (-1 - b)))) = -6 )
		t( (b * (((-1 * a) * -1) - -2)) = 6 )
		t( (-2 * (((-1 * a) * -1) - -2)) = -6 )
		t( (-2 * (((-1 * b) * a) - -2)) = 0 )
		t( (-2 * (-1 * (b * (a - -2)))) = 12 )
		t( (-1 * (((-1 * b) * a) - -2)) = 0 )
		t( (-1 * (-1 * (b * (a - -2)))) = 6 )
		t( (-2 * (((-1 * b) * a) - -1)) = 2 )
		t( (-2 * (-1 * (b * (a - -1)))) = 8 )
		t( (-2 * (((-1 * b) * -2) - a)) = -6 )
		t( (-2 * (-1 * (b * (-2 - a)))) = -12 )
		t( (-1 * (((-1 * b) * -2) - a)) = -3 )
		t( (-1 * (-1 * (b * (-2 - a)))) = -6 )
		t( (a * (((-1 * b) * -2) - -2)) = 6 )
		t( (-1 * (((-1 * b) * -2) - -2)) = -6 )
		t( (a * (((-1 * b) * -2) - -1)) = 5 )
		t( (-2 * (((-1 * b) * -2) - -1)) = -10 )
		t( (-2 * (((-1 * b) * -1) - a)) = -2 )
		t( (-2 * (-1 * (b * (-1 - a)))) = -8 )
		t( (a * (((-1 * b) * -1) - -2)) = 4 )
		t( (-2 * (((-1 * b) * -1) - -2)) = -8 )
		t( (b * (-1 * (-2 * (a - -2)))) = 12 )
		t( (-1 * (-1 * (-2 * (a - -2)))) = -6 )
		t( (b * (-1 * (-2 * (a - -1)))) = 8 )
		t( (-2 * (-1 * (-2 * (a - -1)))) = -8 )
		t( (a * (-1 * (-2 * (b - -2)))) = 8 )
		t( (-1 * (-1 * (-2 * (b - -2)))) = -8 )
		t( (a * (-1 * (-2 * (b - -1)))) = 6 )
		t( (-2 * (-1 * (-2 * (b - -1)))) = -12 )
		t( (b * (-1 * (-2 * (-2 - a)))) = -12 )
		t( (-1 * (-1 * (-2 * (-2 - a)))) = 6 )
		t( (a * (-1 * (-2 * (-2 - b)))) = -8 )
		t( (-1 * (-1 * (-2 * (-2 - b)))) = 8 )
		t( (b * (-1 * (-2 * (-1 - a)))) = -8 )
		t( (-2 * (-1 * (-2 * (-1 - a)))) = 8 )
		t( (a * (-1 * (-2 * (-1 - b)))) = -6 )
		t( (-2 * (-1 * (-2 * (-1 - b)))) = 12 )
		t( (b * (-1 * (-1 * (a - -2)))) = 6 )
		t( (-2 * (-1 * (-1 * (a - -2)))) = -6 )
		t( (a * (-1 * (-1 * (b - -2)))) = 4 )
		t( (-2 * (-1 * (-1 * (b - -2)))) = -8 )
		t( (b * (-1 * (-1 * (-2 - a)))) = -6 )
		t( (-2 * (-1 * (-1 * (-2 - a)))) = 6 )
		t( (a * (-1 * (-1 * (-2 - b)))) = -4 )
		t( (-2 * (-1 * (-1 * (-2 - b)))) = 8 )
		t( (-1 + (((a * -2) * b) * -2)) = 7 )
		t( (-1 + (a * (-2 * (b * -2)))) = 7 )
		t( (-2 + (((a * -2) * b) * -1)) = 2 )
		t( (-2 + (a * (-2 * (b * -1)))) = 2 )
		t( (-1 + (((a * -2) * b) * -1)) = 3 )
		t( (-1 + (a * (-2 * (b * -1)))) = 3 )
		t( (-1 + (((a * -2) * -2) * b)) = 7 )
		t( (-1 + (a * (-2 * (-2 * b)))) = 7 )
		t( (b + (((a * -2) * -2) * -1)) = -2 )
		t( (-1 + (((a * -2) * -2) * -1)) = -5 )
		t( (-2 + (((a * -2) * -1) * b)) = 2 )
		t( (-2 + (a * (-2 * (-1 * b)))) = 2 )
		t( (-1 + (((a * -2) * -1) * b)) = 3 )
		t( (-1 + (a * (-2 * (-1 * b)))) = 3 )
		t( (b + (((a * -2) * -1) * -2)) = -2 )
		t( (-1 + (((a * -2) * -1) * -2)) = -5 )
		t( (b + (((a * -2) * -1) * -1)) = 0 )
		t( (-2 + (((a * -2) * -1) * -1)) = -4 )
		t( (-2 + (((a * -1) * b) * -2)) = 2 )
		t( (-2 + (a * (-1 * (b * -2)))) = 2 )
		t( (-1 + (((a * -1) * b) * -2)) = 3 )
		t( (-1 + (a * (-1 * (b * -2)))) = 3 )
		t( (-2 + (((a * -1) * b) * -1)) = 0 )
		t( (-2 + (a * (-1 * (b * -1)))) = 0 )
		t( (-2 + (((a * -1) * -2) * b)) = 2 )
		t( (-2 + (a * (-1 * (-2 * b)))) = 2 )
		t( (-1 + (((a * -1) * -2) * b)) = 3 )
		t( (-1 + (a * (-1 * (-2 * b)))) = 3 )
		t( (b + (((a * -1) * -2) * -2)) = -2 )
		t( (-1 + (((a * -1) * -2) * -2)) = -5 )
		t( (b + (((a * -1) * -2) * -1)) = 0 )
		t( (-2 + (((a * -1) * -2) * -1)) = -4 )
		t( (-2 + (((a * -1) * -1) * b)) = 0 )
		t( (-2 + (a * (-1 * (-1 * b)))) = 0 )
		t( (b + (((a * -1) * -1) * -2)) = 0 )
		t( (-2 + (((a * -1) * -1) * -2)) = -4 )
		t( (-1 + (((b * -2) * a) * -2)) = 7 )
		t( (-1 + (b * (-2 * (a * -2)))) = 7 )
		t( (-2 + (((b * -2) * a) * -1)) = 2 )
		t( (-2 + (b * (-2 * (a * -1)))) = 2 )
		t( (-1 + (((b * -2) * a) * -1)) = 3 )
		t( (-1 + (b * (-2 * (a * -1)))) = 3 )
		t( (-1 + (((b * -2) * -2) * a)) = 7 )
		t( (-1 + (b * (-2 * (-2 * a)))) = 7 )
		t( (a + (((b * -2) * -2) * -1)) = -7 )
		t( (-1 + (((b * -2) * -2) * -1)) = -9 )
		t( (-2 + (((b * -2) * -1) * a)) = 2 )
		t( (-2 + (b * (-2 * (-1 * a)))) = 2 )
		t( (-1 + (((b * -2) * -1) * a)) = 3 )
		t( (-1 + (b * (-2 * (-1 * a)))) = 3 )
		t( (a + (((b * -2) * -1) * -2)) = -7 )
		t( (-1 + (((b * -2) * -1) * -2)) = -9 )
		t( (a + (((b * -2) * -1) * -1)) = -3 )
		t( (-2 + (((b * -2) * -1) * -1)) = -6 )
		t( (-2 + (((b * -1) * a) * -2)) = 2 )
		t( (-2 + (b * (-1 * (a * -2)))) = 2 )
		t( (-1 + (((b * -1) * a) * -2)) = 3 )
		t( (-1 + (b * (-1 * (a * -2)))) = 3 )
		t( (-2 + (((b * -1) * a) * -1)) = 0 )
		t( (-2 + (b * (-1 * (a * -1)))) = 0 )
		t( (-2 + (((b * -1) * -2) * a)) = 2 )
		t( (-2 + (b * (-1 * (-2 * a)))) = 2 )
		t( (-1 + (((b * -1) * -2) * a)) = 3 )
		t( (-1 + (b * (-1 * (-2 * a)))) = 3 )
		t( (a + (((b * -1) * -2) * -2)) = -7 )
		t( (-1 + (((b * -1) * -2) * -2)) = -9 )
		t( (a + (((b * -1) * -2) * -1)) = -3 )
		t( (-2 + (((b * -1) * -2) * -1)) = -6 )
		t( (-2 + (((b * -1) * -1) * a)) = 0 )
		t( (-2 + (b * (-1 * (-1 * a)))) = 0 )
		t( (a + (((b * -1) * -1) * -2)) = -3 )
		t( (-2 + (((b * -1) * -1) * -2)) = -6 )
		t( (-1 + (((-2 * a) * b) * -2)) = 7 )
		t( (-1 + (-2 * (a * (b * -2)))) = 7 )
		t( (-2 + (((-2 * a) * b) * -1)) = 2 )
		t( (-2 + (-2 * (a * (b * -1)))) = 2 )
		t( (-1 + (((-2 * a) * b) * -1)) = 3 )
		t( (-1 + (-2 * (a * (b * -1)))) = 3 )
		t( (-1 + (((-2 * a) * -2) * b)) = 7 )
		t( (-1 + (-2 * (a * (-2 * b)))) = 7 )
		t( (b + (((-2 * a) * -2) * -1)) = -2 )
		t( (-1 + (((-2 * a) * -2) * -1)) = -5 )
		t( (-2 + (((-2 * a) * -1) * b)) = 2 )
		t( (-2 + (-2 * (a * (-1 * b)))) = 2 )
		t( (-1 + (((-2 * a) * -1) * b)) = 3 )
		t( (-1 + (-2 * (a * (-1 * b)))) = 3 )
		t( (b + (((-2 * a) * -1) * -2)) = -2 )
		t( (-1 + (((-2 * a) * -1) * -2)) = -5 )
		t( (b + (((-2 * a) * -1) * -1)) = 0 )
		t( (-2 + (((-2 * a) * -1) * -1)) = -4 )
		t( (-1 + (((-2 * b) * a) * -2)) = 7 )
		t( (-1 + (-2 * (b * (a * -2)))) = 7 )
		t( (-2 + (((-2 * b) * a) * -1)) = 2 )
		t( (-2 + (-2 * (b * (a * -1)))) = 2 )
		t( (-1 + (((-2 * b) * a) * -1)) = 3 )
		t( (-1 + (-2 * (b * (a * -1)))) = 3 )
		t( (-1 + (((-2 * b) * -2) * a)) = 7 )
		t( (-1 + (-2 * (b * (-2 * a)))) = 7 )
		t( (a + (((-2 * b) * -2) * -1)) = -7 )
		t( (-1 + (((-2 * b) * -2) * -1)) = -9 )
		t( (-2 + (((-2 * b) * -1) * a)) = 2 )
		t( (-2 + (-2 * (b * (-1 * a)))) = 2 )
		t( (-1 + (((-2 * b) * -1) * a)) = 3 )
		t( (-1 + (-2 * (b * (-1 * a)))) = 3 )
		t( (a + (((-2 * b) * -1) * -2)) = -7 )
		t( (-1 + (((-2 * b) * -1) * -2)) = -9 )
		t( (a + (((-2 * b) * -1) * -1)) = -3 )
		t( (-2 + (((-2 * b) * -1) * -1)) = -6 )
		t( (b + (-2 * (-2 * (a * -1)))) = -2 )
		t( (-1 + (-2 * (-2 * (a * -1)))) = -5 )
		t( (a + (-2 * (-2 * (b * -1)))) = -7 )
		t( (-1 + (-2 * (-2 * (b * -1)))) = -9 )
		t( (b + (-2 * (-2 * (-1 * a)))) = -2 )
		t( (-1 + (-2 * (-2 * (-1 * a)))) = -5 )
		t( (a + (-2 * (-2 * (-1 * b)))) = -7 )
		t( (-1 + (-2 * (-2 * (-1 * b)))) = -9 )
		t( (b + (-2 * (-1 * (a * -2)))) = -2 )
		t( (-1 + (-2 * (-1 * (a * -2)))) = -5 )
		t( (b + (-2 * (-1 * (a * -1)))) = 0 )
		t( (-2 + (-2 * (-1 * (a * -1)))) = -4 )
		t( (a + (-2 * (-1 * (b * -2)))) = -7 )
		t( (-1 + (-2 * (-1 * (b * -2)))) = -9 )
		t( (a + (-2 * (-1 * (b * -1)))) = -3 )
		t( (-2 + (-2 * (-1 * (b * -1)))) = -6 )
		t( (b + (-2 * (-1 * (-2 * a)))) = -2 )
		t( (-1 + (-2 * (-1 * (-2 * a)))) = -5 )
		t( (a + (-2 * (-1 * (-2 * b)))) = -7 )
		t( (-1 + (-2 * (-1 * (-2 * b)))) = -9 )
		t( (b + (-2 * (-1 * (-1 * a)))) = 0 )
		t( (-2 + (-2 * (-1 * (-1 * a)))) = -4 )
		t( (a + (-2 * (-1 * (-1 * b)))) = -3 )
		t( (-2 + (-2 * (-1 * (-1 * b)))) = -6 )
		t( (-2 + (((-1 * a) * b) * -2)) = 2 )
		t( (-2 + (-1 * (a * (b * -2)))) = 2 )
		t( (-1 + (((-1 * a) * b) * -2)) = 3 )
		t( (-1 + (-1 * (a * (b * -2)))) = 3 )
		t( (-2 + (((-1 * a) * b) * -1)) = 0 )
		t( (-2 + (-1 * (a * (b * -1)))) = 0 )
		t( (-2 + (((-1 * a) * -2) * b)) = 2 )
		t( (-2 + (-1 * (a * (-2 * b)))) = 2 )
		t( (-1 + (((-1 * a) * -2) * b)) = 3 )
		t( (-1 + (-1 * (a * (-2 * b)))) = 3 )
		t( (b + (((-1 * a) * -2) * -2)) = -2 )
		t( (-1 + (((-1 * a) * -2) * -2)) = -5 )
		t( (b + (((-1 * a) * -2) * -1)) = 0 )
		t( (-2 + (((-1 * a) * -2) * -1)) = -4 )
		t( (-2 + (((-1 * a) * -1) * b)) = 0 )
		t( (-2 + (-1 * (a * (-1 * b)))) = 0 )
		t( (b + (((-1 * a) * -1) * -2)) = 0 )
		t( (-2 + (((-1 * a) * -1) * -2)) = -4 )
		t( (-2 + (((-1 * b) * a) * -2)) = 2 )
		t( (-2 + (-1 * (b * (a * -2)))) = 2 )
		t( (-1 + (((-1 * b) * a) * -2)) = 3 )
		t( (-1 + (-1 * (b * (a * -2)))) = 3 )
		t( (-2 + (((-1 * b) * a) * -1)) = 0 )
		t( (-2 + (-1 * (b * (a * -1)))) = 0 )
		t( (-2 + (((-1 * b) * -2) * a)) = 2 )
		t( (-2 + (-1 * (b * (-2 * a)))) = 2 )
		t( (-1 + (((-1 * b) * -2) * a)) = 3 )
		t( (-1 + (-1 * (b * (-2 * a)))) = 3 )
		t( (a + (((-1 * b) * -2) * -2)) = -7 )
		t( (-1 + (((-1 * b) * -2) * -2)) = -9 )
		t( (a + (((-1 * b) * -2) * -1)) = -3 )
		t( (-2 + (((-1 * b) * -2) * -1)) = -6 )
		t( (-2 + (((-1 * b) * -1) * a)) = 0 )
		t( (-2 + (-1 * (b * (-1 * a)))) = 0 )
		t( (a + (((-1 * b) * -1) * -2)) = -3 )
		t( (-2 + (((-1 * b) * -1) * -2)) = -6 )
		t( (b + (-1 * (-2 * (a * -2)))) = -2 )
		t( (-1 + (-1 * (-2 * (a * -2)))) = -5 )
		t( (b + (-1 * (-2 * (a * -1)))) = 0 )
		t( (-2 + (-1 * (-2 * (a * -1)))) = -4 )
		t( (a + (-1 * (-2 * (b * -2)))) = -7 )
		t( (-1 + (-1 * (-2 * (b * -2)))) = -9 )
		t( (a + (-1 * (-2 * (b * -1)))) = -3 )
		t( (-2 + (-1 * (-2 * (b * -1)))) = -6 )
		t( (b + (-1 * (-2 * (-2 * a)))) = -2 )
		t( (-1 + (-1 * (-2 * (-2 * a)))) = -5 )
		t( (a + (-1 * (-2 * (-2 * b)))) = -7 )
		t( (-1 + (-1 * (-2 * (-2 * b)))) = -9 )
		t( (b + (-1 * (-2 * (-1 * a)))) = 0 )
		t( (-2 + (-1 * (-2 * (-1 * a)))) = -4 )
		t( (a + (-1 * (-2 * (-1 * b)))) = -3 )
		t( (-2 + (-1 * (-2 * (-1 * b)))) = -6 )
		t( (b + (-1 * (-1 * (a * -2)))) = 0 )
		t( (-2 + (-1 * (-1 * (a * -2)))) = -4 )
		t( (a + (-1 * (-1 * (b * -2)))) = -3 )
		t( (-2 + (-1 * (-1 * (b * -2)))) = -6 )
		t( (b + (-1 * (-1 * (-2 * a)))) = 0 )
		t( (-2 + (-1 * (-1 * (-2 * a)))) = -4 )
		t( (a + (-1 * (-1 * (-2 * b)))) = -3 )
		t( (-2 + (-1 * (-1 * (-2 * b)))) = -6 )
		t( (-1 - (((a * -2) * b) * -2)) = -9 )
		t( (-1 - (a * (-2 * (b * -2)))) = -9 )
		t( (-2 - (((a * -2) * b) * -1)) = -6 )
		t( (-2 - (a * (-2 * (b * -1)))) = -6 )
		t( (-1 - (((a * -2) * b) * -1)) = -5 )
		t( (-1 - (a * (-2 * (b * -1)))) = -5 )
		t( (-1 - (((a * -2) * -2) * b)) = -9 )
		t( (-1 - (a * (-2 * (-2 * b)))) = -9 )
		t( (b - (((a * -2) * -2) * -1)) = 6 )
		t( (-1 - (((a * -2) * -2) * -1)) = 3 )
		t( (-2 - (((a * -2) * -1) * b)) = -6 )
		t( (-2 - (a * (-2 * (-1 * b)))) = -6 )
		t( (-1 - (((a * -2) * -1) * b)) = -5 )
		t( (-1 - (a * (-2 * (-1 * b)))) = -5 )
		t( (b - (((a * -2) * -1) * -2)) = 6 )
		t( (-1 - (((a * -2) * -1) * -2)) = 3 )
		t( (b - (((a * -2) * -1) * -1)) = 4 )
		t( (-2 - (((a * -2) * -1) * -1)) = 0 )
		t( (-2 - (((a * -1) * b) * -2)) = -6 )
		t( (-2 - (a * (-1 * (b * -2)))) = -6 )
		t( (-1 - (((a * -1) * b) * -2)) = -5 )
		t( (-1 - (a * (-1 * (b * -2)))) = -5 )
		t( (-2 - (((a * -1) * b) * -1)) = -4 )
		t( (-2 - (a * (-1 * (b * -1)))) = -4 )
		t( (-2 - (((a * -1) * -2) * b)) = -6 )
		t( (-2 - (a * (-1 * (-2 * b)))) = -6 )
		t( (-1 - (((a * -1) * -2) * b)) = -5 )
		t( (-1 - (a * (-1 * (-2 * b)))) = -5 )
		t( (b - (((a * -1) * -2) * -2)) = 6 )
		t( (-1 - (((a * -1) * -2) * -2)) = 3 )
		t( (b - (((a * -1) * -2) * -1)) = 4 )
		t( (-2 - (((a * -1) * -2) * -1)) = 0 )
		t( (-2 - (((a * -1) * -1) * b)) = -4 )
		t( (-2 - (a * (-1 * (-1 * b)))) = -4 )
		t( (b - (((a * -1) * -1) * -2)) = 4 )
		t( (-2 - (((a * -1) * -1) * -2)) = 0 )
		t( (-1 - (((b * -2) * a) * -2)) = -9 )
		t( (-1 - (b * (-2 * (a * -2)))) = -9 )
		t( (-2 - (((b * -2) * a) * -1)) = -6 )
		t( (-2 - (b * (-2 * (a * -1)))) = -6 )
		t( (-1 - (((b * -2) * a) * -1)) = -5 )
		t( (-1 - (b * (-2 * (a * -1)))) = -5 )
		t( (-1 - (((b * -2) * -2) * a)) = -9 )
		t( (-1 - (b * (-2 * (-2 * a)))) = -9 )
		t( (a - (((b * -2) * -2) * -1)) = 9 )
		t( (-1 - (((b * -2) * -2) * -1)) = 7 )
		t( (-2 - (((b * -2) * -1) * a)) = -6 )
		t( (-2 - (b * (-2 * (-1 * a)))) = -6 )
		t( (-1 - (((b * -2) * -1) * a)) = -5 )
		t( (-1 - (b * (-2 * (-1 * a)))) = -5 )
		t( (a - (((b * -2) * -1) * -2)) = 9 )
		t( (-1 - (((b * -2) * -1) * -2)) = 7 )
		t( (a - (((b * -2) * -1) * -1)) = 5 )
		t( (-2 - (((b * -2) * -1) * -1)) = 2 )
		t( (-2 - (((b * -1) * a) * -2)) = -6 )
		t( (-2 - (b * (-1 * (a * -2)))) = -6 )
		t( (-1 - (((b * -1) * a) * -2)) = -5 )
		t( (-1 - (b * (-1 * (a * -2)))) = -5 )
		t( (-2 - (((b * -1) * a) * -1)) = -4 )
		t( (-2 - (b * (-1 * (a * -1)))) = -4 )
		t( (-2 - (((b * -1) * -2) * a)) = -6 )
		t( (-2 - (b * (-1 * (-2 * a)))) = -6 )
		t( (-1 - (((b * -1) * -2) * a)) = -5 )
		t( (-1 - (b * (-1 * (-2 * a)))) = -5 )
		t( (a - (((b * -1) * -2) * -2)) = 9 )
		t( (-1 - (((b * -1) * -2) * -2)) = 7 )
		t( (a - (((b * -1) * -2) * -1)) = 5 )
		t( (-2 - (((b * -1) * -2) * -1)) = 2 )
		t( (-2 - (((b * -1) * -1) * a)) = -4 )
		t( (-2 - (b * (-1 * (-1 * a)))) = -4 )
		t( (a - (((b * -1) * -1) * -2)) = 5 )
		t( (-2 - (((b * -1) * -1) * -2)) = 2 )
		t( (-1 - (((-2 * a) * b) * -2)) = -9 )
		t( (-1 - (-2 * (a * (b * -2)))) = -9 )
		t( (-2 - (((-2 * a) * b) * -1)) = -6 )
		t( (-2 - (-2 * (a * (b * -1)))) = -6 )
		t( (-1 - (((-2 * a) * b) * -1)) = -5 )
		t( (-1 - (-2 * (a * (b * -1)))) = -5 )
		t( (-1 - (((-2 * a) * -2) * b)) = -9 )
		t( (-1 - (-2 * (a * (-2 * b)))) = -9 )
		t( (b - (((-2 * a) * -2) * -1)) = 6 )
		t( (-1 - (((-2 * a) * -2) * -1)) = 3 )
		t( (-2 - (((-2 * a) * -1) * b)) = -6 )
		t( (-2 - (-2 * (a * (-1 * b)))) = -6 )
		t( (-1 - (((-2 * a) * -1) * b)) = -5 )
		t( (-1 - (-2 * (a * (-1 * b)))) = -5 )
		t( (b - (((-2 * a) * -1) * -2)) = 6 )
		t( (-1 - (((-2 * a) * -1) * -2)) = 3 )
		t( (b - (((-2 * a) * -1) * -1)) = 4 )
		t( (-2 - (((-2 * a) * -1) * -1)) = 0 )
		t( (-1 - (((-2 * b) * a) * -2)) = -9 )
		t( (-1 - (-2 * (b * (a * -2)))) = -9 )
		t( (-2 - (((-2 * b) * a) * -1)) = -6 )
		t( (-2 - (-2 * (b * (a * -1)))) = -6 )
		t( (-1 - (((-2 * b) * a) * -1)) = -5 )
		t( (-1 - (-2 * (b * (a * -1)))) = -5 )
		t( (-1 - (((-2 * b) * -2) * a)) = -9 )
		t( (-1 - (-2 * (b * (-2 * a)))) = -9 )
		t( (a - (((-2 * b) * -2) * -1)) = 9 )
		t( (-1 - (((-2 * b) * -2) * -1)) = 7 )
		t( (-2 - (((-2 * b) * -1) * a)) = -6 )
		t( (-2 - (-2 * (b * (-1 * a)))) = -6 )
		t( (-1 - (((-2 * b) * -1) * a)) = -5 )
		t( (-1 - (-2 * (b * (-1 * a)))) = -5 )
		t( (a - (((-2 * b) * -1) * -2)) = 9 )
		t( (-1 - (((-2 * b) * -1) * -2)) = 7 )
		t( (a - (((-2 * b) * -1) * -1)) = 5 )
		t( (-2 - (((-2 * b) * -1) * -1)) = 2 )
		t( (b - (-2 * (-2 * (a * -1)))) = 6 )
		t( (-1 - (-2 * (-2 * (a * -1)))) = 3 )
		t( (a - (-2 * (-2 * (b * -1)))) = 9 )
		t( (-1 - (-2 * (-2 * (b * -1)))) = 7 )
		t( (b - (-2 * (-2 * (-1 * a)))) = 6 )
		t( (-1 - (-2 * (-2 * (-1 * a)))) = 3 )
		t( (a - (-2 * (-2 * (-1 * b)))) = 9 )
		t( (-1 - (-2 * (-2 * (-1 * b)))) = 7 )
		t( (b - (-2 * (-1 * (a * -2)))) = 6 )
		t( (-1 - (-2 * (-1 * (a * -2)))) = 3 )
		t( (b - (-2 * (-1 * (a * -1)))) = 4 )
		t( (-2 - (-2 * (-1 * (a * -1)))) = 0 )
		t( (a - (-2 * (-1 * (b * -2)))) = 9 )
		t( (-1 - (-2 * (-1 * (b * -2)))) = 7 )
		t( (a - (-2 * (-1 * (b * -1)))) = 5 )
		t( (-2 - (-2 * (-1 * (b * -1)))) = 2 )
		t( (b - (-2 * (-1 * (-2 * a)))) = 6 )
		t( (-1 - (-2 * (-1 * (-2 * a)))) = 3 )
		t( (a - (-2 * (-1 * (-2 * b)))) = 9 )
		t( (-1 - (-2 * (-1 * (-2 * b)))) = 7 )
		t( (b - (-2 * (-1 * (-1 * a)))) = 4 )
		t( (-2 - (-2 * (-1 * (-1 * a)))) = 0 )
		t( (a - (-2 * (-1 * (-1 * b)))) = 5 )
		t( (-2 - (-2 * (-1 * (-1 * b)))) = 2 )
		t( (-2 - (((-1 * a) * b) * -2)) = -6 )
		t( (-2 - (-1 * (a * (b * -2)))) = -6 )
		t( (-1 - (((-1 * a) * b) * -2)) = -5 )
		t( (-1 - (-1 * (a * (b * -2)))) = -5 )
		t( (-2 - (((-1 * a) * b) * -1)) = -4 )
		t( (-2 - (-1 * (a * (b * -1)))) = -4 )
		t( (-2 - (((-1 * a) * -2) * b)) = -6 )
		t( (-2 - (-1 * (a * (-2 * b)))) = -6 )
		t( (-1 - (((-1 * a) * -2) * b)) = -5 )
		t( (-1 - (-1 * (a * (-2 * b)))) = -5 )
		t( (b - (((-1 * a) * -2) * -2)) = 6 )
		t( (-1 - (((-1 * a) * -2) * -2)) = 3 )
		t( (b - (((-1 * a) * -2) * -1)) = 4 )
		t( (-2 - (((-1 * a) * -2) * -1)) = 0 )
		t( (-2 - (((-1 * a) * -1) * b)) = -4 )
		t( (-2 - (-1 * (a * (-1 * b)))) = -4 )
		t( (b - (((-1 * a) * -1) * -2)) = 4 )
		t( (-2 - (((-1 * a) * -1) * -2)) = 0 )
		t( (-2 - (((-1 * b) * a) * -2)) = -6 )
		t( (-2 - (-1 * (b * (a * -2)))) = -6 )
		t( (-1 - (((-1 * b) * a) * -2)) = -5 )
		t( (-1 - (-1 * (b * (a * -2)))) = -5 )
		t( (-2 - (((-1 * b) * a) * -1)) = -4 )
		t( (-2 - (-1 * (b * (a * -1)))) = -4 )
		t( (-2 - (((-1 * b) * -2) * a)) = -6 )
		t( (-2 - (-1 * (b * (-2 * a)))) = -6 )
		t( (-1 - (((-1 * b) * -2) * a)) = -5 )
		t( (-1 - (-1 * (b * (-2 * a)))) = -5 )
		t( (a - (((-1 * b) * -2) * -2)) = 9 )
		t( (-1 - (((-1 * b) * -2) * -2)) = 7 )
		t( (a - (((-1 * b) * -2) * -1)) = 5 )
		t( (-2 - (((-1 * b) * -2) * -1)) = 2 )
		t( (-2 - (((-1 * b) * -1) * a)) = -4 )
		t( (-2 - (-1 * (b * (-1 * a)))) = -4 )
		t( (a - (((-1 * b) * -1) * -2)) = 5 )
		t( (-2 - (((-1 * b) * -1) * -2)) = 2 )
		t( (b - (-1 * (-2 * (a * -2)))) = 6 )
		t( (-1 - (-1 * (-2 * (a * -2)))) = 3 )
		t( (b - (-1 * (-2 * (a * -1)))) = 4 )
		t( (-2 - (-1 * (-2 * (a * -1)))) = 0 )
		t( (a - (-1 * (-2 * (b * -2)))) = 9 )
		t( (-1 - (-1 * (-2 * (b * -2)))) = 7 )
		t( (a - (-1 * (-2 * (b * -1)))) = 5 )
		t( (-2 - (-1 * (-2 * (b * -1)))) = 2 )
		t( (b - (-1 * (-2 * (-2 * a)))) = 6 )
		t( (-1 - (-1 * (-2 * (-2 * a)))) = 3 )
		t( (a - (-1 * (-2 * (-2 * b)))) = 9 )
		t( (-1 - (-1 * (-2 * (-2 * b)))) = 7 )
		t( (b - (-1 * (-2 * (-1 * a)))) = 4 )
		t( (-2 - (-1 * (-2 * (-1 * a)))) = 0 )
		t( (a - (-1 * (-2 * (-1 * b)))) = 5 )
		t( (-2 - (-1 * (-2 * (-1 * b)))) = 2 )
		t( (b - (-1 * (-1 * (a * -2)))) = 4 )
		t( (-2 - (-1 * (-1 * (a * -2)))) = 0 )
		t( (a - (-1 * (-1 * (b * -2)))) = 5 )
		t( (-2 - (-1 * (-1 * (b * -2)))) = 2 )
		t( (b - (-1 * (-1 * (-2 * a)))) = 4 )
		t( (-2 - (-1 * (-1 * (-2 * a)))) = 0 )
		t( (a - (-1 * (-1 * (-2 * b)))) = 5 )
		t( (-2 - (-1 * (-1 * (-2 * b)))) = 2 )
		t( (-1 * (((a * -2) * b) * -2)) = -8 )
		t( (-1 * (a * (-2 * (b * -2)))) = -8 )
		t( (-2 * (((a * -2) * b) * -1)) = -8 )
		t( (-2 * (a * (-2 * (b * -1)))) = -8 )
		t( (-1 * (((a * -2) * b) * -1)) = -4 )
		t( (-1 * (a * (-2 * (b * -1)))) = -4 )
		t( (-1 * (((a * -2) * -2) * b)) = -8 )
		t( (-1 * (a * (-2 * (-2 * b)))) = -8 )
		t( (b * (((a * -2) * -2) * -1)) = -8 )
		t( (-1 * (((a * -2) * -2) * -1)) = 4 )
		t( (-2 * (((a * -2) * -1) * b)) = -8 )
		t( (-2 * (a * (-2 * (-1 * b)))) = -8 )
		t( (-1 * (((a * -2) * -1) * b)) = -4 )
		t( (-1 * (a * (-2 * (-1 * b)))) = -4 )
		t( (b * (((a * -2) * -1) * -2)) = -8 )
		t( (-1 * (((a * -2) * -1) * -2)) = 4 )
		t( (b * (((a * -2) * -1) * -1)) = -4 )
		t( (-2 * (((a * -2) * -1) * -1)) = 4 )
		t( (-2 * (((a * -1) * b) * -2)) = -8 )
		t( (-2 * (a * (-1 * (b * -2)))) = -8 )
		t( (-1 * (((a * -1) * b) * -2)) = -4 )
		t( (-1 * (a * (-1 * (b * -2)))) = -4 )
		t( (-2 * (((a * -1) * b) * -1)) = -4 )
		t( (-2 * (a * (-1 * (b * -1)))) = -4 )
		t( (-2 * (((a * -1) * -2) * b)) = -8 )
		t( (-2 * (a * (-1 * (-2 * b)))) = -8 )
		t( (-1 * (((a * -1) * -2) * b)) = -4 )
		t( (-1 * (a * (-1 * (-2 * b)))) = -4 )
		t( (b * (((a * -1) * -2) * -2)) = -8 )
		t( (-1 * (((a * -1) * -2) * -2)) = 4 )
		t( (b * (((a * -1) * -2) * -1)) = -4 )
		t( (-2 * (((a * -1) * -2) * -1)) = 4 )
		t( (-2 * (((a * -1) * -1) * b)) = -4 )
		t( (-2 * (a * (-1 * (-1 * b)))) = -4 )
		t( (b * (((a * -1) * -1) * -2)) = -4 )
		t( (-2 * (((a * -1) * -1) * -2)) = 4 )
		t( (-1 * (((b * -2) * a) * -2)) = -8 )
		t( (-1 * (b * (-2 * (a * -2)))) = -8 )
		t( (-2 * (((b * -2) * a) * -1)) = -8 )
		t( (-2 * (b * (-2 * (a * -1)))) = -8 )
		t( (-1 * (((b * -2) * a) * -1)) = -4 )
		t( (-1 * (b * (-2 * (a * -1)))) = -4 )
		t( (-1 * (((b * -2) * -2) * a)) = -8 )
		t( (-1 * (b * (-2 * (-2 * a)))) = -8 )
		t( (a * (((b * -2) * -2) * -1)) = -8 )
		t( (-1 * (((b * -2) * -2) * -1)) = 8 )
		t( (-2 * (((b * -2) * -1) * a)) = -8 )
		t( (-2 * (b * (-2 * (-1 * a)))) = -8 )
		t( (-1 * (((b * -2) * -1) * a)) = -4 )
		t( (-1 * (b * (-2 * (-1 * a)))) = -4 )
		t( (a * (((b * -2) * -1) * -2)) = -8 )
		t( (-1 * (((b * -2) * -1) * -2)) = 8 )
		t( (a * (((b * -2) * -1) * -1)) = -4 )
		t( (-2 * (((b * -2) * -1) * -1)) = 8 )
		t( (-2 * (((b * -1) * a) * -2)) = -8 )
		t( (-2 * (b * (-1 * (a * -2)))) = -8 )
		t( (-1 * (((b * -1) * a) * -2)) = -4 )
		t( (-1 * (b * (-1 * (a * -2)))) = -4 )
		t( (-2 * (((b * -1) * a) * -1)) = -4 )
		t( (-2 * (b * (-1 * (a * -1)))) = -4 )
		t( (-2 * (((b * -1) * -2) * a)) = -8 )
		t( (-2 * (b * (-1 * (-2 * a)))) = -8 )
		t( (-1 * (((b * -1) * -2) * a)) = -4 )
		t( (-1 * (b * (-1 * (-2 * a)))) = -4 )
		t( (a * (((b * -1) * -2) * -2)) = -8 )
		t( (-1 * (((b * -1) * -2) * -2)) = 8 )
		t( (a * (((b * -1) * -2) * -1)) = -4 )
		t( (-2 * (((b * -1) * -2) * -1)) = 8 )
		t( (-2 * (((b * -1) * -1) * a)) = -4 )
		t( (-2 * (b * (-1 * (-1 * a)))) = -4 )
		t( (a * (((b * -1) * -1) * -2)) = -4 )
		t( (-2 * (((b * -1) * -1) * -2)) = 8 )
		t( (-1 * (((-2 * a) * b) * -2)) = -8 )
		t( (-1 * (-2 * (a * (b * -2)))) = -8 )
		t( (-2 * (((-2 * a) * b) * -1)) = -8 )
		t( (-2 * (-2 * (a * (b * -1)))) = -8 )
		t( (-1 * (((-2 * a) * b) * -1)) = -4 )
		t( (-1 * (-2 * (a * (b * -1)))) = -4 )
		t( (-1 * (((-2 * a) * -2) * b)) = -8 )
		t( (-1 * (-2 * (a * (-2 * b)))) = -8 )
		t( (b * (((-2 * a) * -2) * -1)) = -8 )
		t( (-1 * (((-2 * a) * -2) * -1)) = 4 )
		t( (-2 * (((-2 * a) * -1) * b)) = -8 )
		t( (-2 * (-2 * (a * (-1 * b)))) = -8 )
		t( (-1 * (((-2 * a) * -1) * b)) = -4 )
		t( (-1 * (-2 * (a * (-1 * b)))) = -4 )
		t( (b * (((-2 * a) * -1) * -2)) = -8 )
		t( (-1 * (((-2 * a) * -1) * -2)) = 4 )
		t( (b * (((-2 * a) * -1) * -1)) = -4 )
		t( (-2 * (((-2 * a) * -1) * -1)) = 4 )
		t( (-1 * (((-2 * b) * a) * -2)) = -8 )
		t( (-1 * (-2 * (b * (a * -2)))) = -8 )
		t( (-2 * (((-2 * b) * a) * -1)) = -8 )
		t( (-2 * (-2 * (b * (a * -1)))) = -8 )
		t( (-1 * (((-2 * b) * a) * -1)) = -4 )
		t( (-1 * (-2 * (b * (a * -1)))) = -4 )
		t( (-1 * (((-2 * b) * -2) * a)) = -8 )
		t( (-1 * (-2 * (b * (-2 * a)))) = -8 )
		t( (a * (((-2 * b) * -2) * -1)) = -8 )
		t( (-1 * (((-2 * b) * -2) * -1)) = 8 )
		t( (-2 * (((-2 * b) * -1) * a)) = -8 )
		t( (-2 * (-2 * (b * (-1 * a)))) = -8 )
		t( (-1 * (((-2 * b) * -1) * a)) = -4 )
		t( (-1 * (-2 * (b * (-1 * a)))) = -4 )
		t( (a * (((-2 * b) * -1) * -2)) = -8 )
		t( (-1 * (((-2 * b) * -1) * -2)) = 8 )
		t( (a * (((-2 * b) * -1) * -1)) = -4 )
		t( (-2 * (((-2 * b) * -1) * -1)) = 8 )
		t( (b * (-2 * (-2 * (a * -1)))) = -8 )
		t( (-1 * (-2 * (-2 * (a * -1)))) = 4 )
		t( (a * (-2 * (-2 * (b * -1)))) = -8 )
		t( (-1 * (-2 * (-2 * (b * -1)))) = 8 )
		t( (b * (-2 * (-2 * (-1 * a)))) = -8 )
		t( (-1 * (-2 * (-2 * (-1 * a)))) = 4 )
		t( (a * (-2 * (-2 * (-1 * b)))) = -8 )
		t( (-1 * (-2 * (-2 * (-1 * b)))) = 8 )
		t( (b * (-2 * (-1 * (a * -2)))) = -8 )
		t( (-1 * (-2 * (-1 * (a * -2)))) = 4 )
		t( (b * (-2 * (-1 * (a * -1)))) = -4 )
		t( (-2 * (-2 * (-1 * (a * -1)))) = 4 )
		t( (a * (-2 * (-1 * (b * -2)))) = -8 )
		t( (-1 * (-2 * (-1 * (b * -2)))) = 8 )
		t( (a * (-2 * (-1 * (b * -1)))) = -4 )
		t( (-2 * (-2 * (-1 * (b * -1)))) = 8 )
		t( (b * (-2 * (-1 * (-2 * a)))) = -8 )
		t( (-1 * (-2 * (-1 * (-2 * a)))) = 4 )
		t( (a * (-2 * (-1 * (-2 * b)))) = -8 )
		t( (-1 * (-2 * (-1 * (-2 * b)))) = 8 )
		t( (b * (-2 * (-1 * (-1 * a)))) = -4 )
		t( (-2 * (-2 * (-1 * (-1 * a)))) = 4 )
		t( (a * (-2 * (-1 * (-1 * b)))) = -4 )
		t( (-2 * (-2 * (-1 * (-1 * b)))) = 8 )
		t( (-2 * (((-1 * a) * b) * -2)) = -8 )
		t( (-2 * (-1 * (a * (b * -2)))) = -8 )
		t( (-1 * (((-1 * a) * b) * -2)) = -4 )
		t( (-1 * (-1 * (a * (b * -2)))) = -4 )
		t( (-2 * (((-1 * a) * b) * -1)) = -4 )
		t( (-2 * (-1 * (a * (b * -1)))) = -4 )
		t( (-2 * (((-1 * a) * -2) * b)) = -8 )
		t( (-2 * (-1 * (a * (-2 * b)))) = -8 )
		t( (-1 * (((-1 * a) * -2) * b)) = -4 )
		t( (-1 * (-1 * (a * (-2 * b)))) = -4 )
		t( (b * (((-1 * a) * -2) * -2)) = -8 )
		t( (-1 * (((-1 * a) * -2) * -2)) = 4 )
		t( (b * (((-1 * a) * -2) * -1)) = -4 )
		t( (-2 * (((-1 * a) * -2) * -1)) = 4 )
		t( (-2 * (((-1 * a) * -1) * b)) = -4 )
		t( (-2 * (-1 * (a * (-1 * b)))) = -4 )
		t( (b * (((-1 * a) * -1) * -2)) = -4 )
		t( (-2 * (((-1 * a) * -1) * -2)) = 4 )
		t( (-2 * (((-1 * b) * a) * -2)) = -8 )
		t( (-2 * (-1 * (b * (a * -2)))) = -8 )
		t( (-1 * (((-1 * b) * a) * -2)) = -4 )
		t( (-1 * (-1 * (b * (a * -2)))) = -4 )
		t( (-2 * (((-1 * b) * a) * -1)) = -4 )
		t( (-2 * (-1 * (b * (a * -1)))) = -4 )
		t( (-2 * (((-1 * b) * -2) * a)) = -8 )
		t( (-2 * (-1 * (b * (-2 * a)))) = -8 )
		t( (-1 * (((-1 * b) * -2) * a)) = -4 )
		t( (-1 * (-1 * (b * (-2 * a)))) = -4 )
		t( (a * (((-1 * b) * -2) * -2)) = -8 )
		t( (-1 * (((-1 * b) * -2) * -2)) = 8 )
		t( (a * (((-1 * b) * -2) * -1)) = -4 )
		t( (-2 * (((-1 * b) * -2) * -1)) = 8 )
		t( (-2 * (((-1 * b) * -1) * a)) = -4 )
		t( (-2 * (-1 * (b * (-1 * a)))) = -4 )
		t( (a * (((-1 * b) * -1) * -2)) = -4 )
		t( (-2 * (((-1 * b) * -1) * -2)) = 8 )
		t( (b * (-1 * (-2 * (a * -2)))) = -8 )
		t( (-1 * (-1 * (-2 * (a * -2)))) = 4 )
		t( (b * (-1 * (-2 * (a * -1)))) = -4 )
		t( (-2 * (-1 * (-2 * (a * -1)))) = 4 )
		t( (a * (-1 * (-2 * (b * -2)))) = -8 )
		t( (-1 * (-1 * (-2 * (b * -2)))) = 8 )
		t( (a * (-1 * (-2 * (b * -1)))) = -4 )
		t( (-2 * (-1 * (-2 * (b * -1)))) = 8 )
		t( (b * (-1 * (-2 * (-2 * a)))) = -8 )
		t( (-1 * (-1 * (-2 * (-2 * a)))) = 4 )
		t( (a * (-1 * (-2 * (-2 * b)))) = -8 )
		t( (-1 * (-1 * (-2 * (-2 * b)))) = 8 )
		t( (b * (-1 * (-2 * (-1 * a)))) = -4 )
		t( (-2 * (-1 * (-2 * (-1 * a)))) = 4 )
		t( (a * (-1 * (-2 * (-1 * b)))) = -4 )
		t( (-2 * (-1 * (-2 * (-1 * b)))) = 8 )
		t( (b * (-1 * (-1 * (a * -2)))) = -4 )
		t( (-2 * (-1 * (-1 * (a * -2)))) = 4 )
		t( (a * (-1 * (-1 * (b * -2)))) = -4 )
		t( (-2 * (-1 * (-1 * (b * -2)))) = 8 )
		t( (b * (-1 * (-1 * (-2 * a)))) = -4 )
		t( (-2 * (-1 * (-1 * (-2 * a)))) = 4 )
		t( (a * (-1 * (-1 * (-2 * b)))) = -4 )
		t( (-2 * (-1 * (-1 * (-2 * b)))) = 8 )
	END_TEST

END_SUITE
